using Otter;

namespace PpbbffttMiningHa.entities.MapEntities
{
    class BottomRock : Entity
    {
        private Spritemap<string> _spriteMap;

        public BottomRock(float x, float y)
        {
            X = x; Y = y;
            _spriteMap = new Spritemap<string>(Assets.TILES, 32, 32);
            _spriteMap.Add("main", new int[] { 11 }, new float[] { 7f, 7f });
            _spriteMap.Play("main");
            SetHitbox(32, 32, Global.Type.BOTTOMROCK);
            Collider.X = 0;//was -2
            Collider.Y = 0;//was -2
            Graphic = _spriteMap;
            Layer = 0;
        }

        public override void Render()
        {
            base.Render();
            //Collider.Render();
        }
    }
}
